[LAU] Gentoo Pro-Audio overlay: Jack downgrade?

Previous message: [thread] [date] [author]
Next message: [thread] [date] [author]
To: Linux Audio User <linux-audio-user@...>
Date: Thursday, May 29, 2014 - 11:37 am

It seems a recent 'emerge --sync' is wanting to downgrade my Jack...or
is it?

It looks like some dependency of FluidSynth is steering me toward the
Jack package included in main Gentoo, version 0.121.3-r1, and trying to
remove my 1.9.9.5-r1 package from Pro-Audio overlay.

However, I know there are some differences in numbering scheme for Jack
depending on whether it's the SMP or non-SMP supporting version, and
also there's the DBus versus daemon thing. My current Jack (before
emerging) is SMP with DBus (it can be controlled with the jack_control
comamnd).

Should I be concerned about this? What correlation does 0.121.3 from
main Portage have to 1.9.9.5 in the Pro-Audio overlay, and is this
really a downgrade?

ebuild UD~] media-sound/jack-audio-connection-kit-0.121.3-r1::gentoo
[1.9.9.5-r1::proaudio] USE="3dnow%* alsa mmx%* oss%* pam%*(-mixed%)"
ABI_X86="(64%*) -32% (-x32)" PYTHON_SINGLE_TARGET="(-python2_7%*)"
PYTHON_TARGETS="(-python2_7%*)" 1,059 kB

[...]

WARNING: One or more updates have been skipped due to a dependency
conflict:

media-sound/jack-audio-connection-kit:0

(media-sound/jack-audio-connection-kit-1.9.9.5-r1::proaudio, ebuild
scheduled for merge) conflicts with
media-sound/jack-audio-connection-kit[abi_x86_64(-)] required by
(media-sound/fluidsynth-1.1.6-r1::gentoo, ebuild scheduled for

[...]

village:~# equery list -o -p jack-audio-connection-kit
* Searching for jack-audio-connection-kit ...
[--O] [ ] media-sound/jack-audio-connection-kit-0.121.3:0
[--O] [ ] media-sound/jack-audio-connection-kit-0.121.3-r1:0
[--O] [M ] media-sound/jack-audio-connection-kit-0.121.3-r2:0
[I-O] [ ] media-sound/jack-audio-connection-kit-1.9.9.5-r1:0
[--O] [M ] media-sound/jack-audio-connection-kit-1.9.9.5-r2:0
[--O] [ -] media-sound/jack-audio-connection-kit-1.9999:0
[--O] [M-] media-sound/jack-audio-connection-kit-1.9999-r1:0
[--O] [ -] media-sound/jack-audio-connection-kit-2.9999:0
[--O] [M-] media-sound/jack-audio-connection-kit-2.9999-r1:0

--
+ Brent A. Busby + "We've all heard that a million monkeys
+ Sr. UNIX Systems Admin + banging on a million typewriters will
+ University of Chicago + eventually reproduce the entire works of
+ James Franck Institute + Shakespeare. Now, thanks to the Internet,
+ Materials Research Ctr + we know this is not true." -Robert Wilensky
_______________________________________________
Linux-audio-user mailing list
Linux-audio-user@lists.linuxaudio.org
http://lists.linuxaudio.org/listinfo/linux-audio-user

Previous message: [thread] [date] [author]
Next message: [thread] [date] [author]

Messages in current thread:
[LAU] Gentoo Pro-Audio overlay: Jack downgrade?, Brent Busby, (Thu May 29, 11:37 am)
Re: [LAU] Gentoo Pro-Audio overlay: Jack downgrade?, Jannis Achstetter, (Thu May 29, 5:07 pm)
Re: [LAU] Gentoo Pro-Audio overlay: Jack downgrade?, Jannis Achstetter, (Fri May 30, 1:57 pm)